/**
 * OW2 Util
 * Copyright (C) 2008
 * Contact: easybeans@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: DeploymentPlanDeployableImpl.java
* --------------------------------------------------------------------------
*/

package org.ow2.util.plan.deploy.deployable.impl;

import org.ow2.util.archive.api.IFileArchive;
import org.ow2.util.ee.deploy.impl.deployable.AbsDeployable;
import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlan;
import org.ow2.util.plan.deploy.deployable.api.DeploymentPlanDeployable;

/**
 * Implementation for the Deployment Plan deployable.
 *
 * @author mleduque
 *
 */
public class DeploymentPlanDeployableImpl extends AbsDeployable<DeploymentPlanDeployable> implements DeploymentPlanDeployable {

    /**
     * The attached DeploymentPlan object.
     */
    private DeploymentPlan attachedPlan = null;

    /**
     * Constructs a deployment plan deployable from a FileArchive.
     * @param archive the archive
     */
    public DeploymentPlanDeployableImpl(final IFileArchive archive) {
        super(archive);
    }

    /**
     * {@inheritDoc}
     */
    public DeploymentPlan getAttachedData() {
        return this.attachedPlan;
    }

    /**
     * {@inheritDoc}
     */
    public void setAttachedData(final DeploymentPlan attachedData) {
        this.attachedPlan = attachedData;
    }


}
