/**
 * OW2 Util
 * Copyright (C) 2008
 * Contact: easybeans@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: DeploymentPlanDeployableImpl.java
* --------------------------------------------------------------------------
*/

package org.ow2.util.plan.deploy.deployable.impl;

import org.ow2.util.archive.api.IFileArchive;
import org.ow2.util.ee.deploy.impl.deployable.AbsDeployable;
import org.ow2.util.plan.bindings.repository.Repositories;
import org.ow2.util.plan.deploy.deployable.api.RepositoryDeployable;


/**
 * Implementation for the Repository deployable.
 *
 * @author mleduque
 *
 */
public class RepositoryDeployableImpl extends AbsDeployable<RepositoryDeployable> implements RepositoryDeployable {

    /**
     * The attached Repositories object.
     */
    private Repositories attachedRepositories = null;

    /**
     * Constructs a repository list deployable from a FileArchive.
     * @param archive the archive
     */
    public RepositoryDeployableImpl(final IFileArchive archive) {
        super(archive);
    }

    /**
     * {@inheritDoc}
     */
    public Repositories getAttachedData() {
        return this.attachedRepositories;
    }

    /**
     * {@inheritDoc}
     */
    public void setAttachedData(final Repositories attachedData) {
        this.attachedRepositories = attachedData;
    }


}
